Opened 8 years ago

Closed 6 years ago

#1282 closed bug (wontfix)

Crash on startup (v 3.2 Mac OS X 10.4.11 PPC)

Reported by: darint Owned by:
Milestone: Triage Keywords: mac
Cc:

Description (last modified by magnate)

When I start up 3.2, it crashes. Removing the prefs makes no difference. Running on Mac OS X 10.4.11 on a PPC. Here is the CrashReporter? log:

Host Name: Darin-Takemotos-Computer
Date/Time?: 2010-12-24 18:52:16.506 -0500
OS Version: 10.4.11 (Build 8S165)
Report Version: 4

Command: angband
Path: /Applications/Games/Angband/Angband?.app/Contents/MacOS/angband
Parent: WindowServer? [65]

Version: 3.2.0 (3.2.0)

PID: 430
Thread: Unknown

Link (dyld) error:

Symbol not found: _stack_chk_guard
Referenced from: /Applications/Games/Angband/Angband?.app/Contents/MacOS/angband
Expected in: /usr/lib/libSystem.B.dylib

link to the angband forum entryhttp://angband.oook.cz/forum/showthread.php?t=3975

Change History (11)

comment:1 Changed 8 years ago by myshkin

Are you building 3.2 from source, or are you downloading it from somewhere? If from source, what commands do you use to build? If you are downloading it, are you getting it from rephial or from somewhere else?

comment:2 Changed 8 years ago by darint

Downloaded the binary from rephial and from angband.oook.cz and got the same crash with both.

comment:3 Changed 8 years ago by myshkin

Do you have the ability to compile from source? I suspect that the problem arises because the package on rephial was built on a Mac OS X 10.6 machine, and the build assumes the existence of some library code that your machine does not have. I am looking into ways to remove this code from the build, but do not have a 10.4 PPC machine on which to test. If you can build on your machine, please let us know whether your native build still has the problem.

comment:4 Changed 8 years ago by myshkin

More details in the Stack Protection section of http://regexkit.sourceforge.net/Documentation/ChangeLog.html.

comment:5 Changed 8 years ago by darint

I have XCode and have built some earlier versions and variants from source, so I can try it and see what happens.

comment:6 Changed 8 years ago by takkaria

Adding -fno-stack-protector for OS X would fix this (see http://www.isparp.co.uk/angband/irclogs/2011-01-01, 22:56)

comment:7 Changed 8 years ago by darint

Built 3.2.0 from source (omitting the -arch i386 flag) and it gives me a binary that starts up and seems to play fine.

comment:8 Changed 8 years ago by myshkin

Could you try this staging package and see whether the problem is fixed?
http://buildbot.rephial.org/builds/staging/Angband-osx-v3.2.0-179-gc0cfc75.dmg

comment:10 Changed 8 years ago by darint

When I try the second dmg, I get a crash with a different and much longer CrashReporter? log:


Host Name: Darin-Takemotos-Computer
Date/Time?: 2011-01-01 23:03:33.447 -0500
OS Version: 10.4.11 (Build 8S165)
Report Version: 4

Command: angband
Path: /Applications/Games/Angband/Angband?.app/Contents/MacOS/angband
Parent: WindowServer? [65]

Version: 3.2.0 (3.2.0)

PID: 4041
Thread: 0

Exception: EXC_BAD_ACCESS (0x0001)
Codes: KERN_PROTECTION_FAILURE (0x0002) at 0x00000000

Thread 0 Crashed:
0 libSystem.B.dylib 0x9012cab0 _malloc_initialize + 1016
1 libSystem.B.dylib 0x90015fe8 malloc_default_zone + 44
2 com.apple.CoreFoundation? 0x907f6684 CFAllocatorInitialize + 124
3 com.apple.CoreFoundation? 0x907f45f8
CFInitialize + 348
4 com.apple.CoreGraphics? 0x90374bfc cgsInit + 40
5 libSystem.B.dylib 0x90008598 pthread_once + 68
6 com.apple.CoreGraphics? 0x90374bbc CGSInitialize + 44
7 com.apple.QD 0x9174f588 GetCGSConnectionID + 48
8 com.apple.QD 0x9175cde4 InitCursor? + 28
9 net.thangorodrim.Angband 0x000a394c main + 28
10 net.thangorodrim.Angband 0x00002664 start + 68

Thread 0 crashed with PPC Thread State 64:

srr0: 0x000000009012cab0 srr1: 0x000000000000d030 vrsave: 0x0000000000000000

cr: 0x42000224 xer: 0x0000000020000000 lr: 0x000000009012c6ec ctr: 0x0000000090002d68
r0: 0x0000000000000002 r1: 0x00000000bfffe4b0 r2: 0x0000000042000222 r3: 0x00000000000ca2cc
r4: 0x00000000a0010260 r5: 0x00000000001016ec r6: 0x0000000000000002 r7: 0x00000000000fd590
r8: 0x0000000000000001 r9: 0x0000000000000003 r10: 0x00000000a07c45b8 r11: 0x00000000a0006154

r12: 0x0000000090002d68 r13: 0x0000000000000000 r14: 0x0000000000000000 r15: 0x0000000000000000
r16: 0x0000000000000000 r17: 0x0000000000000000 r18: 0x0000000000000000 r19: 0x0000000000000000
r20: 0x0000000000000000 r21: 0x0000000000000000 r22: 0x0000000000000000 r23: 0x0000000000000000
r24: 0x000000009fffc6c0 r25: 0x0000000000000000 r26: 0x00000000a07b6610 r27: 0x00000000a07c6610
r28: 0x0000000090374bd4 r29: 0x00000000a000c6c0 r30: 0x0000000000000000 r31: 0x000000009012c6c0

Binary Images Description:

0x1000 - 0xc4fff net.thangorodrim.Angband 3.2.0 /Applications/Games/Angband/Angband?.app/Contents/MacOS/angband

0x305000 - 0x3f3fff libxml2.2.dylib /usr/lib/libxml2.2.dylib

0x8fe00000 - 0x8fe52fff dyld 46.16 /usr/lib/dyld
0x90000000 - 0x901bcfff libSystem.B.dylib /usr/lib/libSystem.B.dylib
0x90214000 - 0x90219fff libmathCommon.A.dylib /usr/lib/system/libmathCommon.A.dylib
0x9021b000 - 0x90268fff com.apple.CoreText? 1.0.4 (???) /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90293000 - 0x90344fff ATS /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x90373000 - 0x9072efff com.apple.CoreGraphics? 1.258.85 (???) /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x907bb000 - 0x90895fff com.apple.CoreFoundation? 6.4.11 (368.35) /System/Library/Frameworks/CoreFoundation?.framework/Versions/A/CoreFoundation
0x908de000 - 0x908defff com.apple.CoreServices? 10.4 (???) /System/Library/Frameworks/CoreServices?.framework/Versions/A/CoreServices
0x908e0000 - 0x909e2fff libicucore.A.dylib /usr/lib/libicucore.A.dylib
0x90a3c000 - 0x90ac0fff libobjc.A.dylib /usr/lib/libobjc.A.dylib
0x90aea000 - 0x90b5cfff com.apple.framework.IOKit 1.4 (???) /System/Library/Frameworks?/IOKit.framework/Versions/A/IOKit
0x90b72000 - 0x90b84fff libauto.dylib /usr/lib/libauto.dylib
0x90b8b000 - 0x90e62fff com.apple.CoreServices?.CarbonCore? 681.19 (681.21) /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90ec8000 - 0x90f48fff com.apple.CoreServices?.OSServices 4.1 /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x90f92000 - 0x90fd4fff com.apple.CFNetwork 4.0 (129.24) /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x90fe9000 - 0x91001fff com.apple.WebServices? 1.1.2 (1.1.0) /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x91011000 - 0x91092fff com.apple.SearchKit? 1.0.8 /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x910d8000 - 0x91101fff com.apple.Metadata 10.4.4 (121.36) /System/Library/Frameworks/CoreServices?.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x91112000 - 0x91120fff libz.1.dylib /usr/lib/libz.1.dylib
0x91123000 - 0x912defff com.apple.security 4.6 (29770) /System/Library/Frameworks/Security?.framework/Versions/A/Security
0x913dd000 - 0x913e6fff com.apple.DiskArbitration? 2.1.2 /System/Library/Frameworks/DiskArbitration?.framework/Versions/A/DiskArbitration
0x913ed000 - 0x913f5fff libbsm.dylib /usr/lib/libbsm.dylib
0x913f9000 - 0x91421fff com.apple.SystemConfiguration? 1.8.3 /System/Library/Frameworks/SystemConfiguration?.framework/Versions/A/SystemConfiguration
0x91434000 - 0x9143ffff libgcc_s.1.dylib /usr/lib/libgcc_s.1.dylib
0x91444000 - 0x914bffff com.apple.audio.CoreAudio? 3.0.5 /System/Library/Frameworks/CoreAudio?.framework/Versions/A/CoreAudio
0x914fc000 - 0x914fcfff com.apple.ApplicationServices? 10.4 (???) /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/ApplicationServices
0x914fe000 - 0x91536fff com.apple.AE 312.2 /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x91551000 - 0x91623fff com.apple.ColorSync? 4.4.13 /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x91676000 - 0x91707fff com.apple.print.framework.PrintCore? 4.6 (177.13) /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x9174e000 - 0x91805fff com.apple.QD 3.10.28 (???) /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x91842000 - 0x918a0fff com.apple.HIServices 1.5.3 (???) /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x918cf000 - 0x918f0fff com.apple.LangAnalysis? 1.6.1 /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x91904000 - 0x91929fff com.apple.FindByContent? 1.5 /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x9193c000 - 0x9197efff com.apple.LaunchServices? 183.1 /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x9199a000 - 0x919aefff com.apple.speech.synthesis.framework 3.3 /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x919bc000 - 0x91a02fff com.apple.ImageIO.framework 1.5.9 /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x91a19000 - 0x91ae0fff libcrypto.0.9.7.dylib /usr/lib/libcrypto.0.9.7.dylib
0x91b2e000 - 0x91b43fff libcups.2.dylib /usr/lib/libcups.2.dylib
0x91b48000 - 0x91b66fff libJPEG.dylib /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91b6c000 - 0x91c23fff libJP2.dylib /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91c72000 - 0x91c76fff libGIF.dylib /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91c78000 - 0x91ce2fff libRaw.dylib /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91ce7000 - 0x91d02fff libPng.dylib /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91d07000 - 0x91d0afff libRadiance.dylib /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91e19000 - 0x91e57fff libTIFF.dylib /System/Library/Frameworks/ApplicationServices?.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91e5e000 - 0x91e5efff com.apple.Accelerate 1.2.2 (Accelerate 1.2.2) /System/Library/Frameworks/Accelerate?.framework/Versions/A/Accelerate
0x91e60000 - 0x91f45fff com.apple.vImage 2.4 /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91f4d000 - 0x91f6cfff com.apple.Accelerate.vecLib 3.2.2 (vecLib 3.2.2) /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91fd8000 - 0x92046fff libvMisc.dylib /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x92051000 - 0x920e6fff libvDSP.dylib /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x92100000 - 0x92688fff libBLAS.dylib /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x926bb000 - 0x929e6fff libLAPACK.dylib /System/Library/Frameworks/Accelerate?.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x92a16000 - 0x92b04fff libiconv.2.dylib /usr/lib/libiconv.2.dylib
0x92b07000 - 0x92b8ffff com.apple.DesktopServices? 1.3.7 /System/Library/PrivateFrameworks/DesktopServicesPriv?.framework/Versions/A/DesktopServicesPriv
0x92bd0000 - 0x92e03fff com.apple.Foundation 6.4.12 (567.42) /System/Library/Frameworks/Foundation?.framework/Versions/C/Foundation
0x92f36000 - 0x92f54fff libGL.dylib /System/Library/Frameworks?/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92f5f000 - 0x92fb9fff libGLU.dylib /System/Library/Frameworks?/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92fd7000 - 0x92fd7fff com.apple.Carbon 10.4 (???) /System/Library/Frameworks/Carbon?.framework/Versions/A/Carbon
0x92fd9000 - 0x92fedfff com.apple.ImageCapture? 3.0 /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x93005000 - 0x93015fff com.apple.speech.recognition.framework 3.4 /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x93021000 - 0x93036fff com.apple.securityhi 2.0 (203) /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x93048000 - 0x930cffff com.apple.ink.framework 101.2 (69) /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x930e3000 - 0x930eefff com.apple.help 1.0.3 (32) /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x930f8000 - 0x93126fff com.apple.openscripting 1.2.7 (???) /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x93140000 - 0x9314ffff com.apple.print.framework.Print 5.2 (192.4) /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x9315b000 - 0x931c1fff com.apple.htmlrendering 1.1.2 /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x931f2000 - 0x93241fff com.apple.NavigationServices? 3.4.4 (3.4.3) /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x9326f000 - 0x9328cfff com.apple.audio.SoundManager? 3.9 /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x9329e000 - 0x932abfff com.apple.CommonPanels? 1.2.2 (73) /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x932b4000 - 0x935c2fff com.apple.HIToolbox 1.4.10 (???) /System/Library/Frameworks/Carbon?.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x93712000 - 0x9371efff com.apple.opengl 1.4.7 /System/Library/Frameworks?/OpenGL.framework/Versions/A/OpenGL
0x937b8000 - 0x937b8fff com.apple.Cocoa 6.4 (???) /System/Library/Frameworks/Cocoa?.framework/Versions/A/Cocoa
0x937ba000 - 0x93dedfff com.apple.AppKit? 6.4.10 (824.48) /System/Library/Frameworks/AppKit?.framework/Versions/C/AppKit
0x9417a000 - 0x941ecfff com.apple.CoreData? 91 (92.1) /System/Library/Frameworks/CoreData?.framework/Versions/A/CoreData
0x94225000 - 0x942eafff com.apple.audio.toolbox.AudioToolbox? 1.4.7 /System/Library/Frameworks/AudioToolbox?.framework/Versions/A/AudioToolbox
0x9433d000 - 0x9433dfff com.apple.audio.units.AudioUnit? 1.4 /System/Library/Frameworks/AudioUnit?.framework/Versions/A/AudioUnit
0x9433f000 - 0x944fffff com.apple.QuartzCore? 1.4.12 /System/Library/Frameworks/QuartzCore?.framework/Versions/A/QuartzCore
0x94549000 - 0x94586fff libsqlite3.0.dylib /usr/lib/libsqlite3.0.dylib
0x9458e000 - 0x945defff libGLImage.dylib /System/Library/Frameworks?/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x945e7000 - 0x94600fff com.apple.CoreVideo? 1.4.2 /System/Library/Frameworks/CoreVideo?.framework/Versions/A/CoreVideo
0x94842000 - 0x94b75fff com.apple.QuickTime? 7.6.4 (1327.73) /System/Library/Frameworks/QuickTime?.framework/Versions/A/QuickTime
0x94c5d000 - 0x94ccefff libstdc++.6.dylib /usr/lib/libstdc++.6.dylib

comment:11 Changed 6 years ago by magnate

  • Description modified (diff)
  • Resolution set to wontfix
  • Status changed from new to closed

PPC is no longer supported - see http://plastic-idolatry.com/angband/mtg/2012-03-31.html item 4a.

Note: See TracTickets for help on using tickets.